Subject: bug#66539: closed (Re: bug#66539: 30.0.50; eldoc-echo-area-prefer-doc-buffer missing choice)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 14 Oct 2023 19:03:02 +0000

Your bug report

#66539: 30.0.50; eldoc-echo-area-prefer-doc-buffer missing choice

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66539: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66539
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66539: 30.0.50; eldoc-echo-area-prefer-doc-buffer missing choice
From: Stefan Kangas <[email-masked]>
To: Mauro Aranda <[email-masked]>, [email-masked]
Date: Sat, 14 Oct 2023 12:02:09 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 29.2

Mauro Aranda <[email-masked]> writes:

> Patch attached.

Thanks, installed on emacs-29.

[1: 9044d4d94bb]: 2023-10-14 20:54:04 +0200
  Fix a defcustom :type in eldoc.el
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=9044d4d94bbdaed8af2681bf7facb0ce4b27cd48

> Please also note that this, and other user options are
> missing the :version keyword (which I guess should be 28.1, at least for
> this one)

Thanks, I fixed that.  Some of the options go back to 1997, so I left
them alone.

[2: 9525315c117]: 2023-10-14 21:00:00 +0200
  Add missing :version to two defcustoms
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=9525315c1179065b69c937899ea18fe649b0f16f

Subject: 30.0.50; eldoc-echo-area-prefer-doc-buffer missing choice
From: Mauro Aranda <[email-masked]>
To: [email-masked]
Date: Sat, 14 Oct 2023 10:32:59 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

The docstring for eldoc-echo-area-prefer-doc-buffer says its value can
be the symbol maybe, but its :type is just boolean.